0.7.8 Linux release from ayufan for Rock64
#1
Star 
Hello everyone,
ayufan marked 0.7.8 as the new Linux release for Rock64.
As always you can upgrade to newest release:
Code:
sudo apt update -y
sudo apt-get install linux-rock64 -y

If you encounter issues with this (or future 0.7.X builds) then report them in this thread or directly on github.

Enjoy!
  If you manage to click this link you'll join in the IRC channel
#2
How do I upgrade from previous stable?

Code:
> apt-get update -y
[...]
E: Repository 'http://deb.ayufan.eu/orgs/ayufan-rock64/releases  InRelease' changed its 'Origin' value from '' to 'GITHUB-AYUFAN-DEB-ayufan-rock64'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
> apt-get install linux-rock64 -y
[...]
linux-rock64 is already the newest version (0.6.44).
"man apt-secure" doesn't help me understanding what to do. Huh
#3
I'm suddenly getting the following messages when I try sudo apt-get update and sudo apt-get upgrade. Any ideas? I have a 4GB RAM Rock64 with eMMC module installed (but no SD card installed). Everything was working fine until today and I tried the update.

I'm currently on "Linux rock64 4.4.126-rockchip-ayufan-239 #1 SMP Sun May 27 18:38:24 UTC 2018 aarch64 aarch64 aarch64 GNU/Linux"


ERROR MESSAGES:-

The following packages have unmet dependencies:
linux-rock64 : Depends: u-boot-rockchip-rock64 (= 2017.09-rockchip-ayufan-1017-g7bd50d7e0f)
E: Unmet dependencies. Try using -f.




dpkg: error processing archive /var/cache/apt/archives/u-boot-rockchip-rock64_2017.09-rockchip-ayufan-1017-g7bd50d7e0f_all.deb (--unpack):
trying to overwrite '/usr/local/sbin/rock64_upgrade_bootloader.sh', which is also in package u-boot-rock64 0.6.59
Errors were encountered while processing:
/var/cache/apt/archives/u-boot-rockchip-rock64_2017.09-rockchip-ayufan-1017-g7bd50d7e0f_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
#4
(07-24-2018, 11:20 PM)LeoD Wrote: How do I upgrade from previous stable?

Code:
> apt-get update -y
[...]
E: Repository 'http://deb.ayufan.eu/orgs/ayufan-rock64/releases  InRelease' changed its 'Origin' value from '' to 'GITHUB-AYUFAN-DEB-ayufan-rock64'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
> apt-get install linux-rock64 -y
[...]
linux-rock64 is already the newest version (0.6.44).
"man apt-secure" doesn't help me understanding what to do. Huh

Hi,
i have exactly the same messages...
#5
ayufan is aware of the problem and will address the issue.
  If you manage to click this link you'll join in the IRC channel
#6
(07-25-2018, 12:38 AM)Pagliacci Wrote: I'm currently on "Linux rock64 4.4.126-rockchip-ayufan-239 #1 SMP Sun May 27 18:38:24 UTC 2018 aarch64 aarch64 aarch64 GNU/Linux"

ERROR MESSAGES:-

The following packages have unmet dependencies:
linux-rock64 : Depends: u-boot-rockchip-rock64 (= 2017.09-rockchip-ayufan-1017-g7bd50d7e0f)
E: Unmet dependencies. Try using -f.

Hi,

the new kernel depend on the highlighted package which is not found by apt in any of your configured sources.

The best is to look for this package in ayufan's repository with the exact same version number as given (but it has most probably been forgotten along the way), and report an issue to ayufan's github page directly if not found anywhere.
Also, take a look at any special setup which may help.
#7
(07-24-2018, 11:20 PM)LeoD Wrote:
Code:
> apt-get update -y
[...]
E: Repository 'http://deb.ayufan.eu/orgs/ayufan-rock64/releases  InRelease' changed its 'Origin' value from '' to 'GITHUB-AYUFAN-DEB-ayufan-rock64'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details
Use "apt update" (not apt-get).
#8
(07-25-2018, 03:54 PM)mcerveny Wrote:
(07-24-2018, 11:20 PM)LeoD Wrote:
Code:
> apt-get update -y
[...]
E: Repository 'http://deb.ayufan.eu/orgs/ayufan-rock64/releases  InRelease' changed its 'Origin' value from '' to 'GITHUB-AYUFAN-DEB-ayufan-rock64'
N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details
Use "apt update" (not apt-get).

Will update my initial post, thanks !
  If you manage to click this link you'll join in the IRC channel
#9
Can you explain and resolve dual "extlinux/extlinux.conf" ?
  • first on vfat (efi) partition /dev/mmcblk1p6 and seems to be ignored (finally mounted to /boot/efi/...)
  • second on ext4 partition /dev/mmcblk1p7 and used with kernel images (finally mounted on /)
The problem is in "recovery" states. You cannot simply modify "extlinux/extlinux.conf" bootparemeters from windows hosts (on locally attached sdcard) (for example "single" parameter for recovery, "drm.debug=0x3f" to debug hdmi/drm settings/problems ...).

Can you explain and resolve many DTS and other booting errors in booting process ?
Kernel does not seems to be reliable with so many errors.
And yes, ayufan rk3328-rock64.dts is more better then original from rochchip-linux-4.4 that always crashes booting process.

Code:
...
[    0.000000] rockchip_mmc_get_phase: invalid clk rate
...
[    0.140599] Invalid sched_group_energy for CPU0
[    0.140640] Invalid sched_group_energy for Cluster0
...
[    0.542636] of_get_named_gpiod_flags: can't parse 'gpio' property of node '/vcc-phy-regulator[0]'
[    0.542674] vcc_phy: no parameters
[    0.542967] reg-fixed-voltage vcc-phy-regulator: vcc_phy supplying 0uV
[    0.543062] of_get_named_gpiod_flags: can't parse 'gpio' property of node '/vcc-sys[0]'
...
[    0.544051] reg-fixed-voltage sdmmc-regulator: Looking up vin-supply from device tree
[    0.544076] vcc_sd: regulator get failed, ret=-517
[    0.544129] reg-fixed-voltage sdmmc-regulator: Looking up vin-supply from device tree
[    0.544148] vcc_sd: unable to resolve supply
...
[    1.223069] phy phy-ff450000.syscon:[email protected]: Looking up phy-supply from device tree
[    1.223092] phy phy-ff450000.syscon:[email protected]: Looking up phy-supply property in node /[email protected]/[email protected]/host-port failed
[    1.223598] phy phy-ff450000.syscon:[email protected]: Looking up phy-supply from device tree
[    1.223620] phy phy-ff450000.syscon:[email protected]: Looking up phy-supply property in node /[email protected]/[email protected]/otg-port failed
[    1.224018] phy phy-ff450000.syscon:[email protected]: Looking up vbus-supply from device tree
[    1.224039] phy phy-ff450000.syscon:[email protected]: Looking up vbus-supply property in node /[email protected]/[email protected]/otg-port failed
...
[    1.224061] phy phy-ff450000.syscon:[email protected]: Failed to get VBUS supply regulator
[    1.224959] rockchip-u3phy ff470000.usb3-phy: Looking up vbus-supply from device tree
[    1.224981] rockchip-u3phy ff470000.usb3-phy: Looking up vbus-supply property in node /[email protected] failed
[    1.225004] rockchip-u3phy ff470000.usb3-phy: Failed to get VBUS supply regulator
[    1.225511] phy phy-ff470000.usb3-phy.2: Looking up phy-supply from device tree
[    1.225530] phy phy-ff470000.usb3-phy.2: Looking up phy-supply property in node /[email protected]/[email protected] failed
[    1.225938] phy phy-ff470000.usb3-phy.3: Looking up phy-supply from device tree
[    1.225957] phy phy-ff470000.usb3-phy.3: Looking up phy-supply property in node /[email protected]/[email protected] failed
...
[    1.228711] phy phy-ff430000.hdmiphy.4: Looking up phy-supply property in node /[email protected] failed
[    1.231755] rk-vcodec vpu_combo: Looking up vcodec-supply from device tree
[    1.231778] rk-vcodec vpu_combo: Looking up vcodec-supply property in node /vpu_combo failed
[    1.231803] rk-vcodec vpu_combo: no regulator for vcodec
[    1.232124] rk-vcodec vpu_combo: failed on clk_get clk_cabac
[    1.232181] rk-vcodec vpu_combo: failed on clk_get clk_core
...
[    1.236518] rk-vcodec vpu_combo: could not find power_model node
...
[    1.375298] rockchip-drm display-subsystem: devfreq is not set
[    1.376328] rockchip-vop ff370000.vop: invalid resource
[    1.376858] rockchip-vop ff370000.vop: failed to get vop lut registers
[    1.377490] rockchip-vop ff370000.vop: invalid resource
[    1.377988] rockchip-vop ff370000.vop: failed to get vop cabc lut registers
[    1.378925] rockchip-vop ff370000.vop: unable to request PWM
...
[    1.386440] rockchip-drm display-subsystem: failed to parse display resources
...
[    1.617194] Unable to detect cache hierarchy for CPU 0
...
[    1.742725] dwc2 ff580000.usb: Looking up vusb_d-supply from device tree
[    1.742747] dwc2 ff580000.usb: Looking up vusb_d-supply property in node /[email protected] failed
[    1.742767] ff580000.usb supply vusb_d not found, using dummy regulator
[    1.743726] dwc2 ff580000.usb: Looking up vusb_a-supply from device tree
[    1.743745] dwc2 ff580000.usb: Looking up vusb_a-supply property in node /[email protected] failed
[    1.743760] ff580000.usb supply vusb_a not found, using dummy regulator
...
[    2.549955] vcc_sys: could not add device link regulator.5 err -2
[    2.552281] reg-fixed-voltage sdmmc-regulator: Looking up vin-supply from device tree
[    2.552323] vcc_sd: unable to resolve supply
[    2.563783] vcc_sys: could not add device link regulator.6 err -2
[    2.565637] reg-fixed-voltage sdmmc-regulator: Looking up vin-supply from device tree
[    2.565680] vcc_sd: unable to resolve supply
[    2.588346] vcc_sys: could not add device link regulator.7 err -2
[    2.590027] reg-fixed-voltage sdmmc-regulator: Looking up vin-supply from device tree
[    2.590071] vcc_sd: unable to resolve supply
[    2.601410] vcc_sys: could not add device link regulator.8 err -2
[    2.625001] vcc_io: could not add device link regulator.9 err -2
[    2.639224] vcc_io: could not add device link regulator.10 err -2
[    2.653336] vcc_sys: could not add device link regulator.11 err -2
...
[    2.867433] cpu cpu0: Failed to get leakage
[    2.867501] cpu cpu0: Looking up cpu-supply from device tree
[    2.867602] cpu cpu0: Failed to get pvtm
...
[    2.919022] of_get_named_gpiod_flags: can't parse 'wp-gpios' property of node '/[email protected][0]'
[    2.919032] of_get_named_gpiod_flags: can't parse 'wp-gpio' property of node '/[email protected][0]'
[    2.919039] dwmmc_rockchip ff520000.dwmmc: using lookup tables for GPIO lookup
[    2.919049] dwmmc_rockchip ff520000.dwmmc: lookup for GPIO wp failed
[    2.967348] dwmmc_rockchip ff500000.dwmmc: using device tree for GPIO lookup
[    2.967356] of_get_named_gpiod_flags: can't parse 'cd-gpios' property of node '/[email protected][0]'
[    2.967397] of_get_named_gpiod_flags: can't parse 'cd-gpio' property of node '/[email protected][0]'
[    2.967408] dwmmc_rockchip ff500000.dwmmc: lookup for GPIO cd failed
[    2.967425] of_get_named_gpiod_flags: can't parse 'wp-gpios' property of node '/[email protected][0]'
[    2.967431] of_get_named_gpiod_flags: can't parse 'wp-gpio' property of node '/[email protected][0]'
[    2.967441] dwmmc_rockchip ff500000.dwmmc: lookup for GPIO wp failed
...
[    3.353038] of_get_named_gpiod_flags: can't parse 'simple-audio-card,hp-det-gpio' property of node '/sound[0]'
[    3.353051] of_get_named_gpiod_flags: can't parse 'simple-audio-card,mic-det-gpio' property of node '/sound[0]'
[    3.387771] of_get_named_gpiod_flags: can't parse 'simple-audio-card,hp-det-gpio' property of node '/spdif-sound[0]'
[    3.387784] of_get_named_gpiod_flags: can't parse 'simple-audio-card,mic-det-gpio' property of node '/spdif-sound[0]'
...
[    3.450384] of_dma_request_slave_channel: dma-names property of node '/[email protected]' missing or empty
[    3.456564] ttyS2 - failed to request DMA, use interrupt mode
...
[    3.830676] of_get_named_gpiod_flags: can't parse 'simple-audio-card,hp-det-gpio' property of node '/hdmi-sound[0]'
[    3.830681] of_get_named_gpiod_flags: can't parse 'simple-audio-card,mic-det-gpio' property of node '/hdmi-sound[0]'
...
[    3.923018] mali-utgard ff300000.gpu: Looking up mali-supply from device tree
[    3.923150] mali-utgard ff300000.gpu: Failed to get leakage
[    3.929522] mali-utgard ff300000.gpu: Looking up mali-supply from device tree
[    3.929604] vdd_logic: could not add device link ff300000.gpu err -17
[    3.929623] vdd_logic: Failed to create debugfs directory
[    3.929645] mali-utgard ff300000.gpu: Failed to get pvtm
[    4.047500] devfreq ff300000.gpu: Couldn't update frequency transition information.
...
#10
mcerveny: /boot/efi/extlinux/extlinux.conf is legacy file, which is gonna be removed. If you want to modify boot params change `/etc/default/extlinux`, here is the docs: https://github.com/ayufan-rock64/linux-b...xtlinux.md.
Homepage: https://ayufan.eu

Releases:
Rock/Pro 64/Pinebook Pro: LinuxChromium OS
So/Pine A64/Pinebook: LinuxAndroid 6.0Android 7.1

Buy me a Beer


Possibly Related Threads...
Thread Author Replies Views Last Post
  HDMI output with Arch Linux Arm yogo1212 2 95 Today, 02:46 AM
Last Post: yogo1212
  RETRO-GAMING: UPDATED RELEASE OF RECALBOX FOR THE ROCK64 Mrfixit2001 16 3,336 07-15-2019, 02:54 AM
Last Post: Wizzard
Star New Stable release from Ayufan (0.8.3) Luke 3 369 07-10-2019, 10:40 AM
Last Post: Malmgren
  slarm64 (unofficial slackware) Rock64 RK3328 (aarch64) mara 59 10,819 07-10-2019, 08:59 AM
Last Post: mara
  Armbian for Rock64 pineadmin 7 4,208 07-08-2019, 07:51 PM
Last Post: pineadmin
  Gentoo on Rockpro64/Rock64 necrose99 0 120 06-19-2019, 10:40 PM
Last Post: necrose99
  NextCloudPi image for Rock64, NC version 13.0.2. nachoparker 10 3,744 06-19-2019, 01:58 AM
Last Post: pineadmin
Information Linux Mainline ayufan 62 20,073 06-15-2019, 11:59 PM
Last Post: shuikaiyuan
Star ayufan's 0.8.0rc12 (Rock64 Rev 3) Luke 1 270 06-13-2019, 02:05 AM
Last Post: pineadmin
  DietPi (ROCK64) pineadmin 8 4,595 05-31-2019, 02:00 AM
Last Post: pineadmin

Forum Jump:


Users browsing this thread: 1 Guest(s)